{
  config,
  lib,
  pkgs,
  modulesPath,
  ...
}:
{
  users = {
    mutableUsers = true;

    users = {
      # connection only via hashed password;
      dev = {
        isNormalUser = true;
        home = "/home/dev";
        description = "User used to manually connect to this system (e.g. for maintenance)";
        extraGroups = [
          "docker"
          "wheel"
        ];
        # hashedPassword = "$y$j9T$akQcwTP8gsnlVMq9dA18s/$pLpvci.Hn3rIucvO5u86LCQJYd9.Z4zenbAJ9RGtDL8";
      };
    };
  };
}
